> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Connections

> Get connections owned by a specific user.



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/connections/users/{user_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/connections/users/{user_id}:
    get:
      tags:
        - Connections
      summary: Get User Connections
      description: Get connections owned by a specific user.
      operationId: get_user_connections_api_v1_connections_users__user_id__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: integration_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/IntegrationType'
              - type: 'null'
            description: Filter by integration type
            title: Integration Type
          description: Filter by integration type
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ConnectionStatus'
              - type: 'null'
            description: Filter by status
            title: Status
          description: Filter by status
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionList'
        '404':
          description: Connection not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    IntegrationType:
      type: string
      enum:
        - connectors
        - mcp
        - tool
        - model
        - custom
        - storage
        - api
      title: IntegrationType
    ConnectionStatus:
      type: string
      enum:
        - active
        - inactive
        - testing
        - error
        - expired
      title: ConnectionStatus
    ConnectionList:
      properties:
        connections:
          items:
            $ref: '#/components/schemas/ConnectionRead'
          type: array
          title: Connections
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
      type: object
      required:
        - connections
        - total
        - page
        - size
      title: ConnectionList
      description: Schema for listing connections.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionRead:
      properties:
        label:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Label
          description: Human-readable label for the connection
        integration:
          type: string
          title: Integration
          description: Integration name (slack, github, etc.)
        integration_type:
          $ref: '#/components/schemas/IntegrationType'
          description: >-
            Type of integration (connectors, mcp, tool, model, storage, api,
            custom)
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Integration-specific configuration
        id:
          type: string
          title: Id
        credential_id:
          type: string
          title: Credential Id
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        workspace_id:
          type: string
          title: Workspace Id
        created_by:
          type: string
          title: Created By
        status:
          $ref: '#/components/schemas/ConnectionStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - integration
        - integration_type
        - id
        - credential_id
        - user_id
        - workspace_id
        - created_by
        - status
        - created_at
        - updated_at
      title: ConnectionRead
      description: Schema for reading connection data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````